restore,/v,'/data/slam/home/lagg/data/VIM/johann/double_etalon/m6173_hw0n0e0_c600.sav'
  obest=1e10
  for i=0,200 do begin

  wlrg=[-(2.3+(i-100)/4000d),2.3+]+6173.3412d
  find_opt_binning,wlin=wl_scan+6173.3412d,wlrg=wlrg,best=best
  if best(1) lt obest then res={wlrg:wlrg,best:best}
  obest=res.best(1)
  print,wlrg,format='(2f15.8)'
endfor
print,res.wlrg,format='(2f15.8)'
print,res.best
stop
end
